<?
$sub_menu = "300100";
include_once("./_common.php");

auth_check($auth[$sub_menu], "w");

$goto_url	= "./zm.board_exp_form.php?w=u&bo_table=$bo_table&cfgmode=expand";
//-- 확장 변수 테이블 이름
$tablename	= $zmb[table_board_config];

//-- 변수 삭제 ------------------------------------------------------------------------------------
if($mode == "cfgdel") {
	$result		= sql_query("delete from $tablename where db_table='$bo_table' and db_variable='$db_variable'");

	if($result)
		alert("변수를 삭제 했습니다.", "$goto_url");
	else
		alert("변수를 삭제 하던 중 오류가 발생 했습니다.", "$goto_url");
}


if ($member[mb_password] != sql_password($_POST['admin_password'])) {
    alert("패스워드가 다릅니다.");
}

//-- 새 환경 변수 추가 ----------------------------------------------------------------------------
if($mode == "addvar") {
	//-- 중복이면 리턴
	$rd			= sql_fetch("select * from $tablename where db_table='$bo_table' and db_variable='$_POST[in_variable]'");
	if($rd[db_variable]) alert("이미 존재하는 변수 입니다.", $goto_url);


	$query		= "insert into $tablename set db_table='$bo_table', db_variable='$_POST[in_variable]', db_value='$_POST[in_value]', db_valtype='$_POST[in_valtype]', db_varname='$_POST[in_varname]'";
	$result		= mysql_query($query);

	if($result)	
		alert("새 변수를 등록 했습니다.", "$goto_url");
	else		
		alert("새 변수를 등록 하던 중 오류가 발생 했습니다.\n변수명이 중복 됐는지 확인 바랍니다.", "$goto_url");
}

//-- 확장 변수 업데이트 ---------------------------------------------------------------------------
if($mode == "updatevar") {
	$gr_list	= array();					//-- 같은 그룹 목록
	$i			= 0;
	$rs_gr_list	= sql_query("select * from $g4[board_table] where gr_id='$board[gr_id]'");
	while($rd_gr_list = sql_fetch_array($rs_gr_list)) { 
		$gr_list[$i] = $rd_gr_list[bo_table];
		$i++;
	}

	//-- $in_value_name[$i] : 변수명, $in_value[$i] : 변수 값,  / $ch_value[$i] : 그룹 적용
	for($i = 0; $i < count($in_value); $i++) {
		$bcfg		= sql_query("update $tablename set db_value='$in_value[$i]' where db_table='$bo_table' and db_variable='$in_value_name[$i]'");

		//-- 체크 돼 있으면 같은 그룹 적용
		$sw			= 0;
		for($j = 0; $j < count($ch_value); $j++) {
			if($ch_value[$j] == $in_value_name[$i]) $sw = 1;
		}

		if($sw) 
			for($k = 0; $k < count($gr_list); $k++) {
				sql_query("update $tablename set db_value='$in_value[$i]' where db_table='$gr_list[$k]' and db_variable='$in_value_name[$i]'");

				//-- 확장 변수 레코드가 생성 되기 전이면 새 레코드 추가
				$rd_temp = sql_fetch("select * from $tablename where db_table='$gr_list[$k]' and db_variable='$in_value_name[$i]'");
				if(!$rd_temp[db_variable])
					sql_query("insert into $tablename set db_table='$gr_list[$k]', db_value='$in_value[$i]', db_variable='$in_value_name[$i]'");
			}
	}
	
	

	goto_url("./zm.board_exp_form.php?w=u&bo_table=$bo_table&cfgmode=expand");
}

?>
